summaryrefslogtreecommitdiffstats
path: root/source/l/pango
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/l/pango
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to '')
-rwxr-xr-xsource/l/pango/pango.SlackBuild57
-rw-r--r--source/l/pango/pango.etc.host.location.diff41
-rw-r--r--source/l/pango/update-pango-querymodules85
-rwxr-xr-xsource/l/pangomm/pangomm.SlackBuild102
-rw-r--r--source/l/pangomm/slack-desc18
5 files changed, 127 insertions, 176 deletions
diff --git a/source/l/pango/pango.SlackBuild b/source/l/pango/pango.SlackBuild
index 9934c553d..34d4f7eb7 100755
--- a/source/l/pango/pango.SlackBuild
+++ b/source/l/pango/pango.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,15 +27,15 @@ BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -69,14 +69,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Fix for x86_64 (does not hurt the other archs but note that we will start
-# using /etc/pango/$host instead of /etc/pango/ now):
-zcat $CWD/pango.etc.host.location.diff.gz | patch -p1 --verbose || exit 1
-
-# Autoconf changes linux to linux-gnu.
-# Our host is $ARCH-slackware-linux not $ARCH-slackware-linux-gnu:
-sed -i -e 's#linux|linux-gnu|#linux|linux|#' config.sub
-
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -90,47 +82,12 @@ CFLAGS="$SLKCFLAGS" \
--target=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
-
-# Check the host value that is passed to the compile to the one in this script:
-host="$ARCH-slackware-linux"
-compile_host=$(grep 'host_triplet =' pango/Makefile | sed "s/.* = //")
-if [ "x$compile_host" != "x$host" ]; then
- echo "Host mismatch: compile='$compile_host', SlackBuild='$host'" && exit 1
-fi
-
make install DESTDIR=$PKG || exit 1
-# Install wrapper for pango-querymodules:
-cp $CWD/update-pango-querymodules $PKG/usr/bin/update-pango-querymodules
-chmod 0755 $PKG/usr/bin/update-pango-querymodules
-
# Do not remove pangox.aliases
-rm -f $PKG/etc/pango/pango.modules
-mkdir -p $PKG/etc/pango/$host
-touch $PKG/etc/pango/$host/pango.modules
-
-# We need to have separate 32-bit and 64-bit binaries
-# for places where we have two copies of the GTK+ package installed.
-# (we might have x86_64 and i486 packages on the same system, for example.)
-case "$host" in
- s390x*|x86_64*)
- mv $PKG/usr/bin/pango-querymodules $PKG/usr/bin/pango-querymodules-64
- ( cd $PKG/usr/bin ; ln -sf pango-querymodules-64 pango-querymodules )
- ;;
- *)
- mv $PKG/usr/bin/pango-querymodules $PKG/usr/bin/pango-querymodules-32
- ( cd $PKG/usr/bin ; ln -sf pango-querymodules-32 pango-querymodules )
- ;;
-esac
-
-mkdir -p $PKG/install
-cat <<EOF > $PKG/install/doinst.sh
-# Updating the pango.modules file:
-chroot . /sbin/ldconfig 2> /dev/null
-if [ -x /usr/bin/update-pango-querymodules ]; then
- /usr/bin/update-pango-querymodules
-fi
-EOF
+#rm -f $PKG/etc/pango/pango.modules
+#mkdir -p $PKG/etc/pango/$host
+#touch $PKG/etc/pango/$host/pango.modules
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/pango/pango.etc.host.location.diff b/source/l/pango/pango.etc.host.location.diff
deleted file mode 100644
index f641c1af0..000000000
--- a/source/l/pango/pango.etc.host.location.diff
+++ /dev/null
@@ -1,41 +0,0 @@
-diff -Nur pango-1.34.0.orig/pango/Makefile.am pango-1.34.0/pango/Makefile.am
---- pango-1.34.0.orig/pango/Makefile.am 2013-03-04 19:24:38.000000000 -0600
-+++ pango-1.34.0/pango/Makefile.am 2013-03-26 01:51:57.804499578 -0500
-@@ -17,6 +17,7 @@
- -DPANGO_ENABLE_BACKEND \
- -DPANGO_ENABLE_ENGINE \
- -DSYSCONFDIR=\"$(sysconfdir)\" \
-+ -DHOST=\"$(host_triplet)\" \
- -DLIBDIR=\"$(libdir)\" \
- -I$(top_srcdir) \
- -I$(top_builddir) \
-diff -Nur pango-1.34.0.orig/pango/Makefile.in pango-1.34.0/pango/Makefile.in
---- pango-1.34.0.orig/pango/Makefile.in 2013-03-25 21:10:54.000000000 -0500
-+++ pango-1.34.0/pango/Makefile.in 2013-03-26 01:52:26.701339768 -0500
-@@ -766,6 +766,7 @@
- -DPANGO_ENABLE_BACKEND \
- -DPANGO_ENABLE_ENGINE \
- -DSYSCONFDIR=\"$(sysconfdir)\" \
-+ -DHOST=\"$(host_triplet)\" \
- -DLIBDIR=\"$(libdir)\" \
- -I$(top_srcdir) \
- -I$(top_builddir) \
-diff -Nur pango-1.34.0.orig/pango/modules.c pango-1.34.0/pango/modules.c
---- pango-1.34.0.orig/pango/modules.c 2013-01-07 19:19:43.000000000 -0600
-+++ pango-1.34.0/pango/modules.c 2013-03-26 01:54:07.418782761 -0500
-@@ -561,6 +561,7 @@
- files = g_new (char *, 3);
-
- files[0] = g_build_filename (pango_get_sysconf_subdirectory (),
-+ HOST,
- "pango.modules",
- NULL);
- files[1] = g_build_filename (pango_get_lib_subdirectory (),
-@@ -682,6 +683,7 @@
- if (!no_module_warning)
- {
- gchar *filename = g_build_filename (pango_get_sysconf_subdirectory (),
-+ HOST,
- "pango.modules",
- NULL);
- g_critical ("No modules found:\n"
diff --git a/source/l/pango/update-pango-querymodules b/source/l/pango/update-pango-querymodules
deleted file mode 100644
index 5aefa034d..000000000
--- a/source/l/pango/update-pango-querymodules
+++ /dev/null
@@ -1,85 +0,0 @@
-#! /bin/sh
-# Updates the pango.modules in /etc/pango/$host
-
-umask 022
-
-# Get the machine type from uname:
-host=$(uname -m)-slackware-linux
-
-# Fix $host for arm arch:
-case "$host" in
- arm*) host=arm-slackware-linux-gnueabi ;;
-esac
-
-# Deriving /etc/pango/$host location
-#
-# We have had problems in the past with build systems
-# changing host from i386 to i686 and appending/dropping
-# the -gnu suffix, so try to match up the $host we got
-# with whats actually there.
-if [ ! -d /etc/pango/$host ]; then
- case "$host" in
- i?86*)
- for d in $(ls -d /etc/pango/i?86*); do
- host=$(basename $d)
- break
- done
- ;;
- esac
-fi
-
-FILE=/etc/pango/$host/pango.modules
-
-case "$host" in
- s390x*|x86_64*)
- if [ -x /usr/bin/pango-querymodules-64 ]; then
- if [ "$1" = "--verbose" ]; then
- echo "Updating pango.modules for ${host}:"
- echo " /usr/bin/pango-querymodules-64 \\"
- echo " > $FILE"
- fi
- /usr/bin/pango-querymodules-64 > $FILE
- # Check for x86_64 multilib:
- if ls -d /etc/pango/i?86* 1> /dev/null 2> /dev/null ; then
- for d in $(ls -d /etc/pango/i?86*); do
- mlhost=$(basename $d)
- break
- done
- if [ -r /etc/pango/$mlhost/pango.modules -a -x /usr/bin/pango-querymodules-32 ]; then
- FILE=/etc/pango/$mlhost/pango.modules
- if [ "$1" = "--verbose" ]; then
- echo "Updating pango.modules for ${mlhost}:"
- echo " /usr/bin/pango-querymodules-32 \\"
- echo " > $FILE"
- fi
- /usr/bin/pango-querymodules-32 > $FILE
- fi
- fi
- else
- if [ "$1" = "--verbose" ]; then
- echo "Updating pango.modules for ${host}:"
- echo " /usr/bin/pango-querymodules \\"
- echo " > $FILE"
- fi
- /usr/bin/pango-querymodules > $FILE
- fi
- ;;
- *)
- if [ -x /usr/bin/pango-querymodules-32 ]; then
- if [ "$1" = "--verbose" ]; then
- echo "Updating pango.modules for ${host}:"
- echo " /usr/bin/pango-querymodules-32 \\"
- echo " > $FILE"
- fi
- /usr/bin/pango-querymodules-32 > $FILE
- else
- if [ "$1" = "--verbose" ]; then
- echo "Updating pango.modules for ${host}:"
- echo " /usr/bin/pango-querymodules \\"
- echo " > $FILE"
- fi
- /usr/bin/pango-querymodules > $FILE
- fi
- ;;
-esac
-
diff --git a/source/l/pangomm/pangomm.SlackBuild b/source/l/pangomm/pangomm.SlackBuild
new file mode 100755
index 000000000..4f5829470
--- /dev/null
+++ b/source/l/pangomm/pangomm.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Copyright 2015 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=pangomm
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+cp -a AUTHORS COPYING* NEWS README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/pangomm/slack-desc b/source/l/pangomm/slack-desc
new file mode 100644
index 000000000..a6262aebe
--- /dev/null
+++ b/source/l/pangomm/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pangomm: pangomm (C++ API for Pango)
+pangomm:
+pangomm: Pangomm is a C++ API for Pango.
+pangomm:
+pangomm: Homepage: http://gtkmm.org
+pangomm:
+pangomm:
+pangomm:
+pangomm:
+pangomm: